Page MenuHomePhabricator

Remove CSS special-casing of mobile VE
Closed, ResolvedPublic1 Story Points

Description

Special treatments by applying font-size overrides on VE overlay makes overriding general OOUI styles unnecessarily complex.

Current layout:

See the tool padding tab, overrides should happen on tool specific padding, not on the font-size property.

Proposed outcome:

Details

Related Gerrit Patches:
mediawiki/skins/MinervaNeue : masterRemove special `font-size` treatment of VE overlay
mediawiki/extensions/MobileFrontend : masterRemove special `font-size` treatment of VE overlay

Event Timeline

Volker_E created this task.May 28 2018, 6:11 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 28 2018, 6:11 PM

Change 435823 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[mediawiki/extensions/MobileFrontend@master] Remove special font-size treatment of VE overlay

https://gerrit.wikimedia.org/r/435823

Volker_E updated the task description. (Show Details)May 28 2018, 7:28 PM
Volker_E updated the task description. (Show Details)May 28 2018, 7:59 PM
Deskana assigned this task to Volker_E.May 29 2018, 6:33 PM
Deskana triaged this task as Normal priority.
Deskana edited projects, added VisualEditor (Current work); removed VisualEditor.
Deskana moved this task from Incoming to Code review on the VisualEditor (Current work) board.
Jdrewniak moved this task from Backlog to Tracking on the MobileFrontend board.May 30 2018, 12:20 PM

Change 436572 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[mediawiki/skins/MinervaNeue@master] Remove special font-size treatment of VE overlay

https://gerrit.wikimedia.org/r/436572

Change 435823 abandoned by VolkerE:
Remove special font-size treatment of VE overlay

Reason:
Abandoned for Ief66c0d3565d3b67399e5aa2a749035a9a4b47bc

https://gerrit.wikimedia.org/r/435823

Change 436572 merged by jenkins-bot:
[mediawiki/skins/MinervaNeue@master] Remove special font-size treatment of VE overlay

https://gerrit.wikimedia.org/r/436572

Deskana closed this task as Resolved.Jun 5 2018, 4:47 PM
Jdforrester-WMF set the point value for this task to 1.
Vvjjkkii renamed this task from Remove CSS special-casing of mobile VE to o4baaaaaaa.Jul 1 2018, 1:07 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed Volker_E as the assignee of this task.
Vvjjkkii raised the priority of this task from Normal to High.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed the point value for this task.
Vvjjkkii removed subscribers: gerritbot, Aklapper.
CommunityTechBot renamed this task from o4baaaaaaa to Remove CSS special-casing of mobile VE.Jul 2 2018, 3:20 AM
CommunityTechBot closed this task as Resolved.
CommunityTechBot assigned this task to Volker_E.
CommunityTechBot lowered the priority of this task from High to Normal.
CommunityTechBot set the point value for this task to 1.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added subscribers: gerritbot, Aklapper.